#!/bin/sh
#
#
#Set Counter For INDEX
counter=0
#Set Counter For Iostat
hostname=$1
iostatcount=`/bin/rsh $hostname iostat -dxnr 1 1|egrep -v "vold|%b|statistics"|wc -l`
iostatcount2=`expr $iostatcount`

case "$2" in
'index')
		count=`/bin/rsh $hostname iostat -dxnr 1 1|egrep -v "vold|%b|statistics"|cut -f1 -d ","`
		for i in $count
		do	 	
			counter=`expr $counter + 1` 
			echo $counter
		done
	;;	
'get')

	if test $3 = "desc"; then
		/bin/rsh $hostname iostat -dxnr 1 1|egrep -v "vold|%b|statistics"|cut -f11 -d ","|head -$4|tail -1
	fi
 
	if test $3 = "wait"; then
		/bin/rsh $hostname iostat -dxnr 1 2|egrep -v "vold|%b|statistics"|tail -$iostatcount2|cut -f9 -d ","|head -$4|tail -1 
	fi

	if test $3 = "busy"; then
		/bin/rsh $hostname iostat -dxnr 1 2|egrep -v "vold|%b|statistics"|tail -$iostatcount2|cut -f10 -d ","|head -$4|tail -1
	fi
	;;

'query')
	if test $3 = "index"; then
		count=`/bin/rsh $hostname iostat -dxnr 1 1|egrep -v "vold|%b|statistics"|cut -f1 -d ","`
		for i in $count
		do	 	
			counter=`expr $counter + 1` 
			echo $counter:$counter
		done
	fi

	if test $3 = "desc"; then
		count=`/bin/rsh $hostname iostat -dxnr 1 1|egrep -v "vold|%b|statistics"|cut -f1 -d ","`
		for i in $count
		do	 	
			counter=`expr $counter + 1` 
			cmd=`/bin/rsh $hostname iostat -dxnr 1 1|egrep -v "vold|%b|statistics"|cut -f11 -d ","|head -$counter|tail -1`
			echo $counter:$cmd
		done
			
	fi
 
	if test $3 = "wait"; then
		count=`/bin/rsh $hostname iostat -dxnr 1 1|egrep -v "vold|%b|statistics"|cut -f1 -d ","`
		for i in $count
		do	 	
			counter=`expr $counter + 1` 
			cmd=`/bin/rsh $hostname iostat -dxnr 1 2|egrep -v "vold|%b|statistics"|tail -$iostatcount2|cut -f9 -d ","|head -$counter|tail -1`
			echo $counter:$cmd
		done
			

	fi

	if test $3 = "busy"; then
		count=`/bin/rsh $hostname iostat -dxnr 1 1|egrep -v "vold|%b|statistics"|cut -f1 -d ","`
		for i in $count
		do	 	
			counter=`expr $counter + 1` 
		cmd=`/bin/rsh $hostname iostat -dxnr 1 2|egrep -v "vold|%b|statistics"|tail -$iostatcount2|cut -f10 -d ","|head -$counter|tail -1`
		
			echo $counter:$cmd
		done
			

	fi
	;;

*)
        echo "Usage: $0 hostname {get|query} {iostatIdx|iostatDesc|iostatWait|iostatBusy} hostname"
        exit 1
        ;;
esac
exit 0
